LVREMOVE(8)

NAME
lvremove - remove a logical volume

SYNOPSIS
lvremove [-A|--autobackup y|n] [-d|--debug] [-f|--force] [-h|-?|--help] [-t|--test] [-v|--verbose] LogicalVolumePath [LogicalVolumePath...]

DESCRIPTION
lvremove removes one or more logical volumes. Confirmation will be requested before deactivating any active logical volume prior to removal. Logical volumes cannot be deactivated or removed while they are open (e.g. if they contain a mounted filesystem). Removing an origin logical volume will also remove all dependent snapshots.

If the logical volume is clustered then it must be deactivated on all nodes in the cluster before it can be removed. A single lvchange command issued from one node can do this.

OPTIONS
See lvm(8) for common options.

-f, --force
    Remove active logical volumes without confirmation.

EXAMPLES
Remove the active logical volume lvol1 in volume group vg00 without asking for confirmation:

    lvremove -f vg00/lvol1

Remove all logical volumes in volume group vg00:

    lvremove vg00

SEE ALSO
lvcreate(8), lvdisplay(8), lvchange(8), lvm(8), lvs(8), lvscan(8), vgremove(8)